#
# spec file for package ffms2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname lib%{name}
%define soname 2

Name:           ffms2
Version:        2.17
Release:        3.3
License:        MIT
Summary:        Wrapper library around libffmpeg
Url:            http://code.google.com/p/ffmpegsource/
Group:          System/Libraries
Source0:        http://ffmpegsource.googlecode.com/files/ffms-%{version}-src.tar.bz2
# Fixed in trunk, remove in the next version
Patch0:         ffms2-2.17-ffmpeg_011.patch
# Fixed in trunk, remove in the next version
Patch1:         ffms2-2.17-ffmpeg_10.patch
# PATCH-FIX-UPSTREAM marguerite@opensuse.org - fix fmpeg 2.0 builds
Patch2:		ffms2-2.17-ffmpeg_20.patch
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  libffmpeg-devel
BuildRequires:  zlib-devel

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

%package -n ffmsindex
Summary:        Wrapper library around libffmpeg
Group:          Productivity/Multimedia/Other

%description -n ffmsindex
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

%package -n %{libname}-%{soname}
Summary:        Wrapper library around libffmpeg
Group:          System/Libraries

%description -n %{libname}-%{soname}
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

%package -n %{libname}-devel
Summary:        Wrapper library around libffmpeg
Group:          Development/Libraries/C and C++
Requires:       %{libname}-%{soname} = %{version}

%description -n %{libname}-devel
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

%prep
%setup -q -n ffms-%{version}-src
sed -i 's/\r$//' COPYING
%patch0
%patch1
%patch2 -p1

%build
%configure --enable-postproc --docdir=%{_docdir}/%{libname}-devel \
           --disable-static --enable-shared
make %{?_smp_mflags} V=1

%install
%make_install V=1
rm %{buildroot}%{_libdir}/%{libname}.la

%post -n %{libname}-%{soname} -p /sbin/ldconfig

%postun -n %{libname}-%{soname} -p /sbin/ldconfig

%files -n ffmsindex
%defattr(0644, root, root, 0755)
%attr(0755,root,root) %{_bindir}/ffmsindex

%files -n %{libname}-%{soname}
%defattr(0644, root, root, 0755)
%doc COPYING
%{_libdir}/%{libname}.so.%{soname}*

%files -n %{libname}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/%{libname}.so
%{_includedir}/ffms*
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/%{libname}-devel

%changelog
* Tue Jul 30 2013 i@margueirte.su
- Fix build with ffmpeg 2.0
* Fri Nov 16 2012 reddwarf@opensuse.org
- Fix build with ffmpeg 1.0
- Adapt the file list to be compatible with old RPMs
* Sun May 27 2012 reddwarf@opensuse.org
- Fix build with ffmpeg 0.11
* Fri Feb 10 2012 reddwarf@opensuse.org
- Update to 2.1.7
* Sat Oct 29 2011 reddwarf@opensuse.org
- First version
